Skip to main content

Old Browsers Will No Longer Be Able To Access Online Banking And Bill Payment Services

November 6, 2014

Effective November 12, 2014, browsers earlier than IE6 (and other older browsers) will no longer be able to access online banking and bill payment services.

We recommend that you upgrade to one of the following browsers:

Windows

  • Chrome 29 and above
  • Firefox 23 and above
  • Internet Explorer 8 and above

Macintosh

  • Safari 5 and above

Not sure what version of browser they are using?

While this varies per browser and per version, the common method for all browsers is to open the browser in question, go to “Tools” and then “About”.

Need to update your bowser?

In general, to update a browser, search the internet for the browser you wish to update, go to the site and follow the instructions.

Additional questions?

Please don't hesitate to contact us


« Back to Articles